{% extends 'base.html.twig' %}
{% block stylesheets %}
            <link href={{ asset ("./styles.css")}} rel="stylesheet">
            <link rel="preconnect" href="https://fonts.googleapis.com">
            <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
            <link href="https://fonts.googleapis.com/css2?family=Love+Ya+Like+A+Sister&display=swap" rel="stylesheet"> 
        {% endblock %}
         {% block javascripts %}
            
        {% endblock %}

{% block title %}Index des produits{% endblock %}

{% block body %}

    <div class="pageprincipale">
            <div class="top-card">
                <div class="actualisation">
                    <p>Votre restaurant est actuellement:</p>
                    
                    <div id="etat">
                    </div>
                </div>
            </div>
            <h2 class="title-card">A LA CARTE</h2>
    

        <div class="table">
            <div>
                {% for product in products %}
            
                    <p class="burger">
                    <img src="{{ asset('uploads/')~ product.image }}" alt="{{ product.image }}" />
                
                    {{ product.name }}
                    {{ product.description }}
                    {{ product.price }}€ 
                    {% if product.available == true %}
                            disponible 🟢
                        {% else %} 
                            indisponible 🔴
                        {% endif %} 
                    

                        <a class='product-a' href="{{ path('app_products_show', {'id': product.id}) }}">Plus d'info</a>
                        {% if is_granted('ROLE_ADMIN') %}
                        <a class='product-a' href="{{ path('app_products_edit', {'id': product.id}) }}">Editer</a>
                        {% endif %}
                    
                
            {% else %}
                </p>
                    <p="6">Aucun produit trouvé</p>
                
            {% endfor %}
            </div>
        </div>
        {% if is_granted('ROLE_ADMIN') %}
        <a class='product-a' href="{{ path('app_products_new') }}">Créer un nouveau produit</a>
    
    {% endif %}
    </div>
    <div class="container-num">
        <div class="numero">
          <a href="tel:0123456789">01-23-45-67-89</a>
        </div>
    </div>
{% endblock %}
